Package org.apache.felix.http.base.internal.runtime

# Class FilterInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<jakarta.servlet.Filter>
org.apache.felix.http.base.internal.runtime.FilterInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<jakarta.servlet.Filter>>`

public class FilterInfo extends WhiteboardServiceInfo<jakarta.servlet.Filter>
Provides registration information for a `Filter`, and is used to programmatically register `Filter`s.

This class only provides information used at registration time, and as such differs slightly from `DTO`s like, `FilterDTO`.

## Constructor Summary

Constructors
Constructor
Description
`FilterInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Filter> ref)`
new filter info

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getClassName(@NotNull jakarta.servlet.Filter filter)`
Get the class name of the filter
`jakarta.servlet.DispatcherType[]`
`getDispatcher()`
`Map<String,String>`
`getInitParameters()`
Returns an immutable map of the init parameters.
`String`
`getName()`
`String[]`
`getPatterns()`
`String[]`
`getRegexs()`
`String[]`
`getServletNames()`
`@NotNull String`
`getType()`
Get the type represented by this info
`boolean`
`isAsyncSupported()`
`boolean`
`isSame(AbstractInfo<jakarta.servlet.Filter> other)`
Compare two info objects
`boolean`
`isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getService, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty, ungetService`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterInfo

public FilterInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Filter> ref)
new filter info

Parameters:
  `ref` - filter service reference

## Method Details

### isValid

public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<jakarta.servlet.Filter>`

### getName

public String getName()

### getPatterns

public String[] getPatterns()

### getServletNames

public String[] getServletNames()

### getRegexs

public String[] getRegexs()

### isAsyncSupported

public boolean isAsyncSupported()

### getDispatcher

public jakarta.servlet.DispatcherType[] getDispatcher()

### getInitParameters

public Map<String,String> getInitParameters()
Returns an immutable map of the init parameters.

Returns:
  The init parameters

### getType

@NotNull public @NotNull String getType()
Description copied from class: `AbstractInfo`
Get the type represented by this info

Specified by:
  `getType` in class `AbstractInfo<jakarta.servlet.Filter>`
Returns:
  The type

### getClassName

@NotNull public @NotNull String getClassName(@NotNull @NotNull jakarta.servlet.Filter filter)
Get the class name of the filter

Parameters:
  `filter` - The filter
Returns:
  The class name

### isSame

public boolean isSame(AbstractInfo<jakarta.servlet.Filter> other)
Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<jakarta.servlet.Filter>`
Parameters:
  `other` - The other info object
Returns:
  `true` if the objects are the same